%define api       2.2
%define major     0
%define libname   %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Name:		mjpegtools
Version:	2.2.1
Release:	%mkrel 2
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPLv2+
Group:		Video/Utilities
Url:		https://mjpeg.sourceforge.net/
Source0:	https://downloads.sourceforge.net/mjpeg/%{name}-%{version}.tar.gz
Patch1:		mjpegtools-use-grep-F-instead-of-deprecated-fgrep.patch
Patch4:		mjpegtools-1.9.0-link.patch
BuildRequires:	autoconf
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	pkgconfig(libquicktime)
BuildRequires:	nasm
BuildRequires:	pkgconfig(libdv) >= 0.99
BuildRequires:	pkgconfig(libpulse)

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch -P 1 -p1
#%%patch -P 4 -p0

%build
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. %configure \
  --enable-simd-accel \
  --without-v4l \
  --disable-static
%__make
popd
%endif
# build regular package

%if "%{_target_cpu}" == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure \
  --disable-simd-accel \
  --without-v4l \
  --disable-static
%__make
popd

%install
%ifarch %{ix86}
pushd build-i686
%make_install
popd
mkdir -p %{buildroot}/%{_libdir}/sse2
mv %{buildroot}/%{_libdir}/*.so.* %{buildroot}/%{_libdir}/sse2
%endif
pushd build-%{_target_cpu}
%make_install
popd

find %{buildroot} -name '*.la' -delete

cp mpeg2enc/mpeg2syntaxcodes.h %{buildroot}%{_includedir}/mjpegtools/

%files
%doc AUTHORS BUGS ChangeLog CHANGES HINTS NEWS PLANS README* TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/mjpeg-howto.info*

%files -n %{libname}
%doc AUTHORS
%license COPYING
%{_libdir}/lib*-%{api}.so.%{major}{,.*}
%ifarch %{ix86}
%{_libdir}/sse2/lib*-%{api}.so.%{major}{,.*}
%endif

%files -n %{develname}
%doc AUTHORS
%license COPYING
%{_includedir}/mjpegtools/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_mandir}/man5/yuv4mpeg.5*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.2.1-2.mga10
+ Revision: 2127848
- Rebuild for patchN deprecation

* Sat May 06 2023 daviddavid <daviddavid> 2.2.1-1.mga9
+ Revision: 1955971
- new version: 2.2.1 (after about 10 years)
- now lib api is 2.2
- add patch to use `grep -F` instead of deprecated `fgrep` for lav2avi.sh

* Fri Apr 01 2022 umeabot <umeabot> 2.1.0-7.mga9
+ Revision: 1839864
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 2.1.0-6.mga8
+ Revision: 1616660
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0-5.mga8
+ Revision: 1521724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 2.1.0-4.mga7
+ Revision: 1346662
- rebuild for SDL_gfx

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1299564
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Mar 01 2017 ghibo <ghibo> 2.1.0-2.mga6
+ Revision: 1088240
- Rebuilt against pulseaudio 10

* Mon Feb 15 2016 luigiwalser <luigiwalser> 2.1.0-1.mga6
+ Revision: 961501
- 2.1.0
- api is now 2.1
- rediff patch 0
- remove upstreamed patch 2

* Mon Feb 15 2016 umeabot <umeabot> 2.0.0-16.mga6
+ Revision: 961495
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-15.mga5
+ Revision: 746754
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-14.mga5
+ Revision: 727325
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-13.mga5
+ Revision: 682537
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.0.0-12.mga5
+ Revision: 591736
- rebuild for SDL_gfx

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-11.mga4
+ Revision: 526172
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.0.0-10.mga4
+ Revision: 436015
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-9.mga3
+ Revision: 360118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 2.0.0-8.mga3
+ Revision: 345457
- rebuild for new SDL_gfx

* Wed Sep 14 2011 fwang <fwang> 2.0.0-7.mga2
+ Revision: 143196
- drop .la files

* Wed Sep 14 2011 fwang <fwang> 2.0.0-6.mga2
+ Revision: 143195
- rebuild for new libpng
- fix mplex header (from upstream)

* Mon Jul 18 2011 fwang <fwang> 2.0.0-4.mga2
+ Revision: 125817
- add provides

* Mon Jul 18 2011 fwang <fwang> 2.0.0-3.mga2
+ Revision: 125805
- new version 2.0.0 (synched with mandriva)
- rebuild for new dfb

* Sat Feb 05 2011 ahmad <ahmad> 1.9.0-10.mga1
+ Revision: 47267
- drop old/unneeded scriptlets
- imported package mjpegtools

